perl-Pg-2.1.1-29.mga8.x86_64.rpm


Advertisement

Description

perl-Pg - A libpq-based PostgreSQL interface for Perl

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package filename perl-Pg-2.1.1-29.mga8.x86_64.rpm
Package name perl-Pg
Package version 2.1.1
Package release 29.mga8
Package architecture x86_64
Package type rpm
Category Development/Perl
Homepage http://gborg.postgresql.org/project/pgperl/projdisplay.php
License GPL
Maintainer -
Download size 39.35 KB
Installed size 101.27 KB
pgperl is an interface between Perl and PostgreSQL. This uses the
Perl5 API for C extensions to call the PostgreSQL libpq interface.
Unlike DBD:pg, pgperl tries to implement the libpq interface as
closely as possible.
You have a choice between two different interfaces: the old
C-style interface and a new one, using a more Perl-ish style. The
old style has the benefit that existing libpq applications can
easily be ported to perl. The new style uses class packages and
might be more familiar to C++ programmers.

Alternatives

Package Version Architecture Repository
perl-Pg-2.1.1-29.mga8.i586.rpm 2.1.1 i586 Mageia Core
perl-Pg - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libperl.so.5.30()(64bit) -
libpq.so.5()(64bit) -
perl >= 0:5.005
perl(AutoLoader) -
perl(Carp) -
perl(DynaLoader) -
perl(Exporter) -
perl(strict) -
perl(vars) -
perl-base >= 2:5.30.0

Provides

Name Value
perl(Pg) == 2.1.1
perl-Pg == 2.1.1-29.mga8
perl-Pg(x86-64) == 2.1.1-29.mga8

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-Pg-2.1.1-29.mga8.x86_64.rpm
Source Package perl-Pg-2.1.1-29.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Pg rpm package:
    # urpmi perl-Pg

Files

Path
/usr/lib/.build-id/
/usr/lib/.build-id/b2/b4a00199f535f3609f96d2b1d290038a4aa743
/usr/lib64/perl5/vendor_perl/Pg.pm
/usr/lib64/perl5/vendor_perl/auto/Pg/Pg.so
/usr/lib64/perl5/vendor_perl/auto/Pg/autosplit.ix
/usr/share/doc/perl-Pg/Changes
/usr/share/doc/perl-Pg/README
/usr/share/man/man3/Pg.3pm.xz

Changelog

2019-08-27 - tmb <tmb> 2.1.1-29.mga8
+ Revision: 1433876
- rebuild for perl 5.30
2018-09-21 - umeabot <umeabot> 2.1.1-28.mga7
+ Revision: 1293658
- Mageia 7 Mass Rebuild
2018-08-08 - pterjan <pterjan> 2.1.1-27.mga7
+ Revision: 1250434
- Rebuild for perl 5.28
2017-10-03 - tv <tv> 2.1.1-26.mga7
+ Revision: 1166221
- rebuild with fixed rpm for missing autodeps
2017-08-31 - pterjan <pterjan> 2.1.1-25.mga7
+ Revision: 1149109
- Rebuild for perl ABI changes

See Also

Package Description
perl-Physics-Particles-1.20.0-8.mga7.noarch.rpm Simulate particle dynamics
perl-Physics-Psychrometry-1.200.0-8.mga7.noarch.rpm Perl extension for calculating Psychrometric
perl-Pithub-0.10.330-2.mga7.noarch.rpm Github v3 Pull Request Comments API
perl-PkgConfig-0.230.260-1.mga7.noarch.rpm Pure-Perl Core-Only replacement for pkg-config
perl-PlRPC-0.202.0-4.mga7.noarch.rpm A bundle to install PlRPC-Server, Client and prerequisites
perl-Plack-1.4.700-2.mga7.noarch.rpm Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
perl-Plack-Middleware-Assets-1.0.0-6.mga7.noarch.rpm Concatenate and minify JavaScript and CSS files
perl-Plack-Middleware-Cached-0.150.0-7.mga7.noarch.rpm Glues a cache to your PSGI applicatio
perl-Plack-Middleware-Debug-0.170.0-2.mga7.noarch.rpm Debug panel to inspect the environment
perl-Plack-Middleware-Debug-TraceENV-0.43.0-2.mga7.noarch.rpm Debug panel for tracing %ENV
perl-Plack-Middleware-Deflater-0.120.0-9.mga7.noarch.rpm Compress response body with Gzip or Deflate
perl-Plack-Middleware-DirIndex-1.0.0-3.mga7.noarch.rpm Middleware to use with Plack::App::Directory and the like
perl-Plack-Middleware-FixMissingBodyInRedirect-0.120.0-4.mga7.noarch.rpm Set body for redirect response, if it's not already set
perl-Plack-Middleware-ForceEnv-0.20.0-11.mga7.noarch.rpm Force set environment variables for testing
perl-Plack-Middleware-LogErrors-0.3.0-2.mga7.noarch.rpm Map psgi.errors to psgix.logger or other logger
Advertisement
Advertisement